/*
 * error.h: This file is part of the PAST project.
 * 
 * PAST: the PoCC Abstract Syntax Tree
 * 
 * Copyright (C) 2011 Louis-Noel Pouchet
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 * 
 * The complete GNU Lesser General Public Licence Notice can be found
 * as the `COPYING.LESSER' file in the root directory.
 * 
 * Author:
 * Louis-Noel Pouchet <pouchet@cse.ohio-state.edu>
 * 
 */
#ifndef PAST_ERROR_H
# define PAST_ERROR_H 

#include <past/common.h>

BEGIN_C_DECLS

extern const char *program_name;
extern void	set_program_name (const char *argv0);

extern void	past_warning (const char *message);
extern void	past_error (const char *message);
extern void	past_fatal (const char *message);

END_C_DECLS


#endif // PAST_ERROR_H
